# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2017-06-22 10:55
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mainApp', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Subscription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('plan', models.IntegerField(default=0)),
                ('duration', models.DateTimeField(blank=True, null=True)),
                ('shipment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='purchasesubs', to='mainApp.Shipment')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subs', to='mainApp.BookedUser')),
            ],
            options={
                'verbose_name': 'Subscription',
            },
        ),
    ]
